Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1056579 - Update netty XSD in tooling
Summary: Update netty XSD in tooling
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: SwitchYard Editor
Version: 6.0.0 GA
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: CR2
: 6.0.0
Assignee: Rob Cernich
QA Contact: Tomas Rohovsky
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-22 13:56 UTC by Tomas Rohovsky
Modified: 2016-01-04 05:58 UTC (History)
2 users (show)

Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-06 15:26:35 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker SWITCHYARD-1938 Major Closed Update netty XSD in tooling 2015-01-09 09:56:22 UTC

Description Tomas Rohovsky 2014-01-22 13:56:41 UTC
If you edit camel-netty-quickstart somehow, then newly generated switchyard.xm does not pass XSD validation: "cvc-complex-type.2.4.a: Invalid content was found starting with element 'netty:needClientAuth'. One of '
{"urn:switchyard-component-camel-netty:config: 1.1":disconnect, "urn:switchyard-component-camel-netty:config:1.1":textline, "urn:switchyard-component-camel-netty:config:1.1":tcpNoDelay, "urn:switchyard-component-camel-netty:config:1.1":keepAlive}' is expected."

Maybe all tooling XSD files should be updated to version 1.1.

Comment 2 Rob Cernich 2014-01-22 16:56:05 UTC
Requesting blocker status as we have a window for a new build and the workaround is pretty crappy.

Comment 3 Rob Cernich 2014-01-22 21:06:40 UTC
The issue was that the tooling did not support this option.  Support has been added.

I'm moving to on_qa and this will be in the next ga candidate build (latest option was cr2).

Comment 4 JBoss JIRA Server 2015-01-09 09:56:22 UTC
Andrej Podhradsky <apodhrad@redhat.com> updated the status of jira SWITCHYARD-1938 to Closed


Note You need to log in before you can comment on or make changes to this bug.